Bug 1303579 - [Scheduler]: Rebooted node doesn't picks up a scheduled job, until the job is edited.
[Scheduler]: Rebooted node doesn't picks up a scheduled job, until the job is...
Status: NEW
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: snapshot (Show other bugs)
3.1
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Bug Updates Notification Mailing List
storage-qa-internal@redhat.com
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-01 06:07 EST by Shashank Raj
Modified: 2018-02-20 13:09 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shashank Raj 2016-02-01 06:07:06 EST
Description of problem:

[Scheduler]: Rebooted node doesn't picks up a scheduled job, until the job is edited.

Version-Release number of selected component (if applicable):

glusterfs-3.7.5-18


How reproducible:

Always


Steps to Reproduce:

1.Create a tiered volume and schedule a job for creating snapshots using snap_scheduler.
2.Observe that the snapshots are getting created and the progress can be seen in /var/run/glusterfs/gcron.log
3.Reboot any node in the trusted pool.
4.Once the node is up set "setsebool cron_system_cronjob_use_shares on" on the node.
5.Observe that the scheduled job is not been picked by this node after that.
6.Edit the job with some different time.
7.Observe that now the new scheduled job is picked up by the node and the snapshots are getting created from this node.

Actual results:

Rebooted node doesn't picks up the scheduled snapshot creation job.

Expected results:

After the rebooted node comes up and after setting "setsebool cron_system_cronjob_use_shares on", node should pick up the job and start creating the snapshots.

Additional info:
Comment 2 Avra Sengupta 2016-02-26 01:29:37 EST
Removing this from 3.1.3. Will be fixing it later.

Note You need to log in before you can comment on or make changes to this bug.